Next Previous Contents

## 3.22 atol

> Function

>   Convert a string to a long integer.

> Header

>   `stdlib.h`

> Declaration

>   `long __fastcall__ atol (const char* s);`

> Description

>   `atol` converts the given string into a long integer. Conversion stops as soon as any invalid character is encountered.

> Limits

>   - There is no way to detect any conversion errors.
>   - The function does not check for an numerical overflow when converting.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   ISO 9899

> See also

>   atoi, itoa, ltoa, ultoa, utoa

> Example

>   None.

Next Previous Contents